
<script>
import { library } from '@fortawesome/fontawesome-svg-core'
import { fas } from '@fortawesome/free-solid-svg-icons'
import { far } from '@fortawesome/free-regular-svg-icons'
// import { faUserSecret } from '@fortawesome/free-solid-svg-icons'
import { FontAwesomeIcon } from '@fortawesome/vue-fontawesome'

library.add(fas, far)

/* add font awesome icon component */

export default {
  name: 'Icon',
  components: {
    FontAwesomeIcon
  },
  props: {
    icon: {
      type: [String, Array],
      required: true
    }
  }
}
</script>

<template>
    <FontAwesomeIcon :icon="icon" />
</template>
